import request from '@/utils/require'
import { main } from '@/api/index'

//接收页面列表
export function receiveGetList(data) {
    return request({
      url: `${main}/client/riceReportDetail/get/receive`,
      method: 'get',
      params:data
    })
  }
//查看详情
export function GetReportId(data) {
	return request({
		url: `${main}/client/ricereport/get/${data.riceReportId}`,
		method: 'get',
    params:data
	})
}
//接收
export function ReceiveReportSave(data) {
	return request({
		url: `${main}/client/riceReportDetail/receive`,
		method: 'put',
        data:data
	})
}
//驳回
export function Receiverebut(data) {
	return request({
		url: `${main}/client/riceReportDetail/rebut/${data.riceReportId}`,
		method: 'put',
        data:data
	})
}
//汇总列表
export function riceReportSummaryList(data) {
	return request({
		url: `${main}/client/riceReportSummary/get`,
		method: 'get',
        params:data
	})
}
//汇总查看

export function riceReportSummaryId(data) {
	return request({
		url: `${main}/client/riceReportSummary/get/${data.id}`,
		method: 'get',
        params:data
	})
}
//生产汇总表
export function riceReportSummarySC(data) {
	return request({
		url: `${main}/client/riceReportSummary/get/summary`,
		method: 'get',
        params:data
	})
}
//保存汇总数据

export function riceReportSummarySave(data) {
	return request({
		url: `${main}/client/riceReportSummary/summary`,
		method: 'post',
        data:data
	})
}
//删除汇总数据

export function riceReportSummaryDelete(data) {
	return request({
		url: `${main}/client/riceReportSummary/delete/${data.id}`,
		method: 'delete',
        params:data
	})
}

//撤销已接收--状态变为待接收
export function riceReportRepeal(data) {
	return request({
		url: `${main}/client/ricereport/repeal/${data.riceReportId }`,
		method: 'post',
        data:data
	})
}
